.\"	$NetBSD: auich.4,v 1.22 2006/03/14 04:31:17 kent Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 14, 2006
.Dt AUICH 4
.Os
.Sh NAME
.Nm auich
.Nd Intel I/O Controller Hub integrated AC'97 audio device driver
.Sh SYNOPSIS
.Cd "auich* at pci? dev ? function ?"
.Cd "audio* at audiobus?"
.Sh DESCRIPTION
The
.Nm
device driver supports the integrated AC'97 audio controller
of the Intel I/O Controller Hub.
Supported chipsets include the i82801AA (ICH), i82801AB (ICH0),
i82801BA (ICH2), i82440MX, i82801CA (ICH3), i82801DB (ICH4), i82801EB (ICH5),
i82801FB (ICH6), i82801GB/GR (ICH7), and Intel 6300ESB.
The driver also supports SiS 7012, nForce MCP, nForce2 MCP-T,
nForce3 MCP-T, nForce3 250 MCP-T, nForce4, and AMD 8111.
.Sh SEE ALSO
.Xr ac97 4 ,
.Xr audio 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.6 .
.Sh BUGS
The
.Sq microphone
input DMA channel is not currently supported.
